#!/bin/bash

set -e

buildah bud --format=docker --security-opt label=disable --userns=host --network=host --rm=true --layers=true --memory=0 \
    --tag jcr.jianguoyun.net.cn/onlyoffice/x2t-sandbox-rulegen-builder --file ./build/x2t-sandbox-rulegen-ubuntu.dockerfile .

cp -r ./x2t-sandbox-rulegen ./src
podman run --rm --security-opt label=disable --network=host \
    --volume .:/app \
    --workdir /app \
    jcr.jianguoyun.net.cn/onlyoffice/x2t-sandbox-rulegen-builder \
    bash -c "/root/.cargo/bin/cargo build --release --features tracing-mode"
rm -rf ./src/x2t-sandbox-rulegen

sudo docker run --rm \
    --volume .:/app \
    --workdir /app \
    jcr.jianguoyun.net.cn/onlyoffice/x2t-sandbox-rulegen-builder \
    bash -c 'bash /app/generate-sandbox-rule.sh /var/www/onlyoffice/documentserver/server/FileConverter/bin/x2t /app/target/release/x2t-sandbox /app/data'