#!/bin/bash

set -e

buildah bud --format=docker --security-opt label=disable --userns=host --network=host --rm=true --layers=true --memory=0 \
    --build-arg BASE_IMAGE=nexus.jianguoyun.net.cn/infra/ubuntu-nutstore:22.04 \
    --tag jcr.jianguoyun.net.cn/onlyoffice/x2t-sandbox-builder --file ./build/x2t-sandbox-ubuntu.dockerfile .

podman run --rm --security-opt label=disable --network=host \
    --volume .:/app \
    --workdir /app/src \
    jcr.jianguoyun.net.cn/onlyoffice/x2t-sandbox-builder \
    bash -c "/root/.cargo/bin/cargo build --release"